com.lowagie.text.html

## Class WebColors

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - com.lowagie.text.html.WebColors

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class WebColors
    extends java.util.HashMap

This class is a HashMap that contains the names of colors as a key and the corresponding Color as value. (Source: Wikipedia http://en.wikipedia.org/wiki/Web_colors )

Author:
  blowagie
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

### Field Summary

Fields
`static WebColors` `NAMES` HashMap containing all the names and corresponding color values.
`private static long` `serialVersionUID`

### Constructor Summary

Constructors
Constructor and Description
`WebColors()`

### Method Summary

Methods
`static java.awt.Color` `getRGBColor(java.lang.String name)` Gives you a Color based on a name.

### Methods inherited from class java.util.HashMap

`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### NAMES

    public static final WebColors NAMES

HashMap containing all the names and corresponding color values.

### Constructor Detail

#### WebColors

    public WebColors()

### Method Detail

#### getRGBColor

    public static java.awt.Color getRGBColor(java.lang.String name)
                                      throws java.lang.IllegalArgumentException

Gives you a Color based on a name.

Parameters:
  `name` - a name such as black, violet, cornflowerblue or #RGB or #RRGGBB or rgb(R,G,B)
Returns:
  the corresponding Color object
Throws:
  `java.lang.IllegalArgumentException` - if the String isn't a know representation of a color.